Subject: Re: Dick Army Fag Comment typical Republican rhetoric!!!!

From: [email-masked] (Jeff Gaer)
Date: 15 Feb 1995 19:20:11 -0600

In article <[email-masked]>, [email-masked] writes:
|> [email-masked] (Jeffrey Gaer) writes:
|>
|> >Perhaps you have forgotten that not all to long ago homosexuality was
|> >treated as an 'illness'. WHat makes sexual behavior an 'illness'? (other
|> >then a cultural view). Even masturbation was thought by some to be
|> >a 'sick' behavior.
|>
|>    I point out that homosexuality and masturbation involve willing adults
|> only. Necrophilia involves defiling a corpse, something the former tenant
|> and their surviving family presumably would object to,

Not necessarily, once again the question was why should the DESIRE to do this be
viewed as an illness, not why should it be illegal.

|> bestiality is a
|> potential violation of animal rights, and rape and pedophilia a violation
|> of human rights.
|>
|>    IMHO, bestiality not involving animal abuse should not be a crime,

And it is no more an illness then homosexuality. Or most heterosexual
behaviors for that matter.

|> disgusting as it may be personally.

As I point out some people will raise that objection about ANY
sexual behavior.

|> Continued bestiality as a pattern may
|> be a psychological problem, the person needing help to better relate to
|> human beings as sexual partners, but I am loathe to make this a law.

But are you equally loathe to consider it an illness?  My question was
why is it 'a mental illness' and not other forms of sexuality.

Should employers be required to hire people who regulary PRACTICE
beastility? Should you be required to rent to animal 'lovers'.
necrophiles?